J2eeTransactionManager (Transactions JTA 4.0.6 API)
Date: 2018-01-11

com.atomikos.icatch.jta

## Class J2eeTransactionManager

- java.lang.Object
- - com.atomikos.icatch.jta.J2eeTransactionManager

- All Implemented Interfaces:
    java.io.Serializable, javax.naming.Referenceable, javax.transaction.TransactionManager, javax.transaction.UserTransaction

      public class J2eeTransactionManager
      extends java.lang.Object
      implements javax.transaction.TransactionManager, java.io.Serializable, javax.naming.Referenceable, javax.transaction.UserTransaction

  An implementation of TransactionManager that should be used by J2EE applications. Instances can be bound in JNDI if the application server allows this.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `J2eeTransactionManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `begin()`
    `void` | `commit()`
    `javax.naming.Reference` | `getReference()`
    `int` | `getStatus()`
    `javax.transaction.Transaction` | `getTransaction()`
    `void` | `resume(javax.transaction.Transaction tx)`
    `void` | `rollback()`
    `void` | `setRollbackOnly()`
    `void` | `setTransactionTimeout(int secs)`
    `javax.transaction.Transaction` | `suspend()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### J2eeTransactionManager

          public J2eeTransactionManager()

  - ### Method Detail

    - #### begin

          public void begin()
                     throws javax.transaction.NotSupportedException,
                            javax.transaction.SystemException

      Specified by:
        `begin` in interface `javax.transaction.TransactionManager`
      Specified by:
        `begin` in interface `javax.transaction.UserTransaction`
      Throws:
        `javax.transaction.NotSupportedException`
        `javax.transaction.SystemException`
      See Also:
        `TransactionManager.begin()`

    - #### commit

          public void commit()
                      throws javax.transaction.RollbackException,
                             javax.transaction.HeuristicMixedException,
                             javax.transaction.HeuristicRollbackException,
                             java.lang.SecurityException,
                             java.lang.IllegalStateException,
                             javax.transaction.SystemException

      Specified by:
        `commit` in interface `javax.transaction.TransactionManager`
      Specified by:
        `commit` in interface `javax.transaction.UserTransaction`
      Throws:
        `javax.transaction.RollbackException`
        `javax.transaction.HeuristicMixedException`
        `javax.transaction.HeuristicRollbackException`
        `java.lang.SecurityException`
        `java.lang.IllegalStateException`
        `javax.transaction.SystemException`
      See Also:
        `TransactionManager.commit()`

    - #### getStatus

          public int getStatus()
                        throws javax.transaction.SystemException

      Specified by:
        `getStatus` in interface `javax.transaction.TransactionManager`
      Specified by:
        `getStatus` in interface `javax.transaction.UserTransaction`
      Throws:
        `javax.transaction.SystemException`
      See Also:
        `TransactionManager.getStatus()`

    - #### getTransaction

          public javax.transaction.Transaction getTransaction()
                                                       throws javax.transaction.SystemException

      Specified by:
        `getTransaction` in interface `javax.transaction.TransactionManager`
      Throws:
        `javax.transaction.SystemException`
      See Also:
        `TransactionManager.getTransaction()`

    - #### resume

          public void resume(javax.transaction.Transaction tx)
                      throws javax.transaction.InvalidTransactionException,
                             java.lang.IllegalStateException,
                             javax.transaction.SystemException

      Specified by:
        `resume` in interface `javax.transaction.TransactionManager`
      Throws:
        `javax.transaction.InvalidTransactionException`
        `java.lang.IllegalStateException`
        `javax.transaction.SystemException`
      See Also:
        `TransactionManager.resume(javax.transaction.Transaction)`

    - #### rollback

          public void rollback()
                        throws java.lang.IllegalStateException,
                               java.lang.SecurityException,
                               javax.transaction.SystemException

      Specified by:
        `rollback` in interface `javax.transaction.TransactionManager`
      Specified by:
        `rollback` in interface `javax.transaction.UserTransaction`
      Throws:
        `java.lang.IllegalStateException`
        `java.lang.SecurityException`
        `javax.transaction.SystemException`
      See Also:
        `TransactionManager.rollback()`

    - #### setRollbackOnly

          public void setRollbackOnly()
                               throws java.lang.IllegalStateException,
                                      javax.transaction.SystemException

      Specified by:
        `setRollbackOnly` in interface `javax.transaction.TransactionManager`
      Specified by:
        `setRollbackOnly` in interface `javax.transaction.UserTransaction`
      Throws:
        `java.lang.IllegalStateException`
        `javax.transaction.SystemException`
      See Also:
        `TransactionManager.setRollbackOnly()`

    - #### setTransactionTimeout

          public void setTransactionTimeout(int secs)
                                     throws javax.transaction.SystemException

      Specified by:
        `setTransactionTimeout` in interface `javax.transaction.TransactionManager`
      Specified by:
        `setTransactionTimeout` in interface `javax.transaction.UserTransaction`
      Throws:
        `javax.transaction.SystemException`
      See Also:
        `TransactionManager.setTransactionTimeout(int)`

    - #### suspend

          public javax.transaction.Transaction suspend()
                                                throws javax.transaction.SystemException

      Specified by:
        `suspend` in interface `javax.transaction.TransactionManager`
      Throws:
        `javax.transaction.SystemException`
      See Also:
        `TransactionManager.suspend()`

    - #### getReference

          public javax.naming.Reference getReference()
                                              throws javax.naming.NamingException

      Specified by:
        `getReference` in interface `javax.naming.Referenceable`
      Throws:
        `javax.naming.NamingException`

Copyright © 2018. All Rights Reserved.